//
//  CounterWithBinding.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct CounterWithBinding: View {
    @State var count: UInt = 0

    var body: some View {
        VStack {
            Text("\(count)")
                .font(Font.body.monospacedDigit())
            // 下位のビューにBindingを渡す
            IncrementButton(count: $count)
        }
    }
}

struct IncrementButton: View {
    @Binding var count: UInt

    var body: some View {
        Button("Increment") {
            count += 1
        }
    }
}

struct CounterWithBinding_Previews: PreviewProvider {
    static var previews: some View {
        CounterWithBinding()
    }
}
