//
//  RoundedCornerModifier.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI
import DeveloperToolsSupport

extension Text {
    func roundedCorner(color: Color) -> some View {
        self
            .padding(8)
            .overlay(
                RoundedRectangle(cornerRadius: 16)
                    .stroke(color, lineWidth: 2)
            )
    }
}

struct RoundedCornerModifier: View {
    var body: some View {
        Text("Hello, World!")
            .roundedCorner(color: .black)
    }
}

struct Text_roundedCorner_LibraryContent: LibraryContentProvider {
    func modifiers(base: Text) -> [LibraryItem] {
        [
            LibraryItem(
                base.roundedCorner(color: .black),
                title: "Rounded Corner",
                category: .effect
            )
        ]
    }
}

struct RoundedCornerModifier_Previews: PreviewProvider {
    static var previews: some View {
        RoundedCornerModifier()
    }
}
