//
//  SwiftUIExampleApp.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2020/11/21.
//

import SwiftUI

@main
struct SwiftUIExampleApp: App {
    @UIApplicationDelegateAdaptor(AppDelegate.self) var appDelegate

    var body: some Scene {
        MyScene()
    }
}

struct MyScene: Scene {
    @Environment(\.scenePhase) private var scenePhase

    @StateObject var clock = Clock()

    var body: some Scene {
        WindowGroup {
            Examples()
                .environmentObject(clock)
        }
        .onChange(of: scenePhase) { newScenePhase in
            if newScenePhase == .background {
                // ウインドウが見えなくなる時の処理を行う
            }
        }
    }
}

class AppDelegate: NSObject, UIApplicationDelegate {
    // UIApplicationDelegateの実装
}
