//
//  BasicCollectionViewController.swift
//  UIKitExample
//
//  Created by Yutaro Muta on 2020/12/05.
//

import UIKit

class BasicCollectionViewController: UIViewController {
    @IBOutlet private weak var collectionView: UICollectionView! {
        didSet {
            collectionView.collectionViewLayout = UICollectionViewFlowLayout()
            collectionView.register(DeviceCell.self,
                                    forCellWithReuseIdentifier: "DeviceCell")
            collectionView.dataSource = self
        }
    }

    private let devices: [[Device]] = [
        Device.iOSDevices,
        Device.iPadOSDevices,
        Device.watchOSDevices,
        Device.tvOSDevices,
        Device.macOSDevices,
    ]
}

extension BasicCollectionViewController: UICollectionViewDataSource {
  func numberOfSections(in collectionView: UICollectionView) -> Int {
    devices.count
  }

  func collectionView(_ collectionView: UICollectionView, numberOfItemsInSection section: Int) -> Int {
    devices[section].count
  }

  func collectionView(_ collectionView: UICollectionView, cellForItemAt indexPath: IndexPath) -> UICollectionViewCell {
    let cell = collectionView.dequeueReusableCell(
      withReuseIdentifier: "DeviceCell",
      for: indexPath) as! DeviceCell
    cell.device = devices[indexPath.section][indexPath.row]
    return cell
  }
}
