//
//  DatePickerViewController.swift
//  UIKitExample
//
//  Created by Yutaro Muta on 2020/12/07.
//

import UIKit

class DatePickerViewController: UIViewController {

    private let datePicker: UIDatePicker

    override init(nibName nibNameOrNil: String!, bundle nibBundleOrNil: Bundle!) {
        datePicker = UIDatePicker()
        super.init(nibName: nil, bundle: nil)
        view.backgroundColor = .systemBackground
        view.addSubview(datePicker)
        datePicker.translatesAutoresizingMaskIntoConstraints = false
        NSLayoutConstraint.activate([
            datePicker.leadingAnchor.constraint(equalTo: view.leadingAnchor),
            datePicker.trailingAnchor.constraint(equalTo: view.trailingAnchor),
            datePicker.topAnchor.constraint(equalTo: view.topAnchor),
            datePicker.bottomAnchor.constraint(equalTo: view.bottomAnchor),
        ])
    }

    convenience init() {
        self.init(nibName: nil, bundle: nil)
    }

    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}
