//
//  ContentView.swift
//  SizeClasses
//
//  Created by Kouki Saito on 2020/12/20.
//

import SwiftUI

struct ContentView: View {
    @Environment(\.horizontalSizeClass)
    var horizontalSizeClass

    var body: some View {
        if horizontalSizeClass == .compact {
            VStack { content }
        } else {
            HStack { content }
        }
    }
    
    var content: some View {
        Group {
            Text("First")
            Text("Second")
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        Group {
            ContentView()
                .environment(\.horizontalSizeClass, .compact)
                .previewLayout(.fixed(width: 300, height: 70))
                .previewDisplayName("Compact width")
            ContentView()
                .environment(\.horizontalSizeClass, .regular)
                .previewLayout(.fixed(width: 1000, height: 70))
                .previewDisplayName("Regular width")
        }
    }
}
